Class Diff_VoltageOut_Velocity
Requires Phoenix Pro and CANivore; Differential control with voltage average target and velocity difference target.
public sealed class Diff_VoltageOut_Velocity : ControlRequest, ICloneable
- Inheritance
-
Diff_VoltageOut_Velocity
- Implements
- Inherited Members
Constructors
Diff_VoltageOut_Velocity(VoltageOut, VelocityVoltage)
Requires Phoenix Pro and CANivore; Differential control with voltage average target and velocity difference target.
Average VoltageOut request of the mechanism. Differential VelocityVoltage request of the mechanism.public Diff_VoltageOut_Velocity(VoltageOut AverageRequest, VelocityVoltage DifferentialRequest)
Parameters
AverageRequestVoltageOutDifferentialRequestVelocityVoltage
Fields
AverageRequest
Average VoltageOut request of the mechanism.
public VoltageOut AverageRequest
Field Value
DifferentialRequest
Differential VelocityVoltage request of the mechanism.
public VelocityVoltage DifferentialRequest
Field Value
UpdateFreqHz
The frequency at which this control will update. This is designated in Hertz, with a minimum of 20 Hz (every 50 ms) and a maximum of 1000 Hz (every 1 ms). Some update frequencies are not supported and will be promoted up to the next highest supported frequency.
If this field is set to 0 Hz, the control request will be sent immediately as a one-shot frame. This may be useful for advanced applications that require outputs to be synchronized with data acquisition. In this case, we recommend not exceeding 50 ms between control calls.public double UpdateFreqHz
Field Value
Properties
Name
Name of this control request.
public string Name { get; }
Property Value
Methods
Clone()
Creates a copy of this control request.
public Diff_VoltageOut_Velocity Clone()
Returns
GetControlInfo()
Gets information about this control request.
public Dictionary<string, string> GetControlInfo()
Returns
- Dictionary<string, string>
Dictionary of control parameter names and corresponding applied values
SendRequest(string, uint)
Sends this request out over CAN bus to the device for the device to apply.
public StatusCode SendRequest(string network, uint deviceHash)
Parameters
Returns
- StatusCode
Status of the send operation
ToString()
Provides the string representation of this object.
public override string ToString()
Returns
WithAverageRequest(VoltageOut)
Modifies this Control Request's AverageRequest parameter and returns itself for method-chaining and easier to use request API.
Average VoltageOut request of the mechanism.public Diff_VoltageOut_Velocity WithAverageRequest(VoltageOut newAverageRequest)
Parameters
newAverageRequestVoltageOutParameter to modify
Returns
- Diff_VoltageOut_Velocity
Itself
WithDifferentialRequest(VelocityVoltage)
Modifies this Control Request's DifferentialRequest parameter and returns itself for method-chaining and easier to use request API.
Differential VelocityVoltage request of the mechanism.public Diff_VoltageOut_Velocity WithDifferentialRequest(VelocityVoltage newDifferentialRequest)
Parameters
newDifferentialRequestVelocityVoltageParameter to modify
Returns
- Diff_VoltageOut_Velocity
Itself
WithUpdateFreqHz(double)
Sets the frequency at which this control will update. This is designated in Hertz, with a minimum of 20 Hz (every 50 ms) and a maximum of 1000 Hz (every 1 ms). Some update frequencies are not supported and will be promoted up to the next highest supported frequency.
If this field is set to 0 Hz, the control request will be sent immediately as a one-shot frame. This may be useful for advanced applications that require outputs to be synchronized with data acquisition. In this case, we recommend not exceeding 50 ms between control calls.public Diff_VoltageOut_Velocity WithUpdateFreqHz(double newUpdateFreqHz)
Parameters
newUpdateFreqHzdoubleParameter to modify
Returns
- Diff_VoltageOut_Velocity
Itself